import React from "react"
import Logo from "./core/Logo"

interface ISocials {
    layout?: string
    name: string
    logo: any
    url: string
}

const Socials = (props: ISocials) => {
    const { layout, name, logo, url } = props

    return (
        <div
            className={`tooltip ${
                layout == "row" ? "tooltip-bottom" : "tooltip-right"
            } `}
            data-tip={name}
        >
            <Logo
                image={logo}
                to={url}
                className={"w-10 h-10"}
                classImg={" h-10 w-10"}
            />
        </div>
    )
}

export default Socials
