import React, { ReactElement } from "react"
import { Content,Link,Card } from "@onegeo/gatsby-theme-onegeo"

function card(): ReactElement {
    return (
        <Content>
            <div className="prose">
                <Link to="/doc/core">Retour</Link>

                <h1>Card</h1>
                <h2>Props</h2>
                <div className="mockup-code">
                    <pre>
                        <code>
                            {`interface CardProps {
  name?: string;
  description?: string;
  image?: string | IGatsbyImageData;
  url?: string;
  anime?: boolean;
  layout?: "top" | "left";
  size?: "xs" | "base" | "xl"
  className?: string;
}`}
                        </code>
                    </pre>
                </div>

                <h2>Example</h2>
            </div>
            <div className="flex flex-col gap-4 m-4">
                <Card
                    name="Action"
                    description="Le lorem ipsum est, en imprimerie, une suite de mots sans signification utilisée à titre provisoire pour calibrer une mise en page, le texte définitif venant remplacer le faux-texte dès qu'il est prêt ou que la "
                    layout='left'
                    size="xs"
                />
                <Card
                    name="Action"
                    description="Action without animation for the Button "
                    anime={false}
                    layout='left'
                    size="xs"
                />
            </div>
            <div className="flex gap-6 m-4">
                <Card
                    name="Action"
                    description="Action description for the Button"
                />
                <Card
                    name="Action"
                    description="Action without animation for the Button"
                    anime={false}
                />
            </div>
            <div className="flex gap-6 m-4">
                <Card
                    name="Action"
                    description="Action whith icon on top for the Button"
                    layout="left"
                />
            </div>
        </Content>
    )
}

export default card
